## org.eclipse.emf.ecore.resource.impl
Class URIConverterImpl.WorkbenchHelper

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.WorkbenchHelper
          org.eclipse.emf.ecore.resource.impl.URIConverterImpl.WorkbenchHelper

Enclosing class:
  URIConverterImpl

Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.WorkbenchHelper` directly.

    @Deprecated
    public static class URIConverterImpl.WorkbenchHelper

extends PlatformResourceURIHandlerImpl.WorkbenchHelper

Isolated Eclipse workbench utilities.

Constructor Summary
`URIConverterImpl.WorkbenchHelper()` Deprecated.

Method Summary
`static java.io.InputStream` `createPlatformResourceInputStream(java.lang.String platformResourcePath)` Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.WorkbenchHelper.createPlatformResourceInputStream(String, Map)` directly.
`static java.io.OutputStream` `createPlatformResourceOutputStream(java.lang.String platformResourcePath)` Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.WorkbenchHelper.createPlatformResourceOutputStream(String, Map)` directly.

Methods inherited from class org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.WorkbenchHelper
`attributes, createPlatformResourceInputStream, createPlatformResourceOutputStream, delete, exists, getContentDescription, updateAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIConverterImpl.WorkbenchHelper

    public URIConverterImpl.WorkbenchHelper()

  Deprecated.

Method Detail

### createPlatformResourceOutputStream

    @Deprecated
    public static java.io.OutputStream createPlatformResourceOutputStream(java.lang.String platformResourcePath)
                                                                   throws java.io.IOException

  Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.WorkbenchHelper.createPlatformResourceOutputStream(String, Map)` directly.

  Creates an output stream for the given `IFile` path.

  This implementation uses a `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream`.

  Returns:
    an open output stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open output stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream`, `IFile.setContents(InputStream, boolean, boolean, IProgressMonitor)`

### createPlatformResourceInputStream

    @Deprecated
    public static java.io.InputStream createPlatformResourceInputStream(java.lang.String platformResourcePath)
                                                                 throws java.io.IOException

  Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.WorkbenchHelper.createPlatformResourceInputStream(String, Map)` directly.

  Creates an input stream for the given `IFile` path.

  This implementation uses `IFile.getContents`.

  Returns:
    an open input stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open input stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `IFile.getContents()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.